SET HEADING OFF
SET RECSEP OFF
SET NEWPAGE 1
SET FEEDBACK OFF
SET VERIFY OFF

PROMPT
PROMPT This script will first DESCRIBE a table, then
PROMPT it will list the definitions for all indexes
PROMPT on that table.
PROMPT

--Get the table name from the user
ACCEPT table_name CHAR PROMPT 'Enter the table name >'

COLUMN index_name FORMAT A30 NEW_VALUE index_name_var NOPRINT
COLUMN uniqueness FORMAT A6 NEW_VALUE uniqueness_var NOPRINT
COLUMN tablespace_name FORMAT A30 NEW_VALUE tablespace_name_var NOPRINT
COLUMN column_name FORMAT A30
BREAK ON index_name SKIP PAGE on column_header NODUPLICATES

TTITLE uniqueness_var ' INDEX: ' index_name_var -
       SKIP 1 '  TABLESPACE: ' tablespace_name_var -
       SKIP 1

PROMPT
PROMPT &table_name table definition:
PROMPT
DESCRIBE &&table_name

PROMPT
PROMPT Indexes defined on the &table_name table:
PROMPT
SELECT ui.index_name,
       ui.tablespace_name,
       DECODE(ui.uniqueness,'UNIQUE','UNIQUE','      ') uniqueness,
       '     COLUMNS:' column_header,
       uic.column_name
  FROM user_indexes ui,
       user_ind_columns uic
 WHERE ui.index_name = uic.index_name
   AND ui.table_name = UPPER('&table_name')
ORDER BY ui.index_name, uic.column_position;
COMMIT;
TTITLE OFF
SET HEADING ON
SET RECSEP WRAPPED
SET VERIFY ON
SET FEEDBACK ON
CLEAR BREAKS
CLEAR COLUMNS
