---DESCRIPTION
--Print a listing of user's table privileges.

SET FEEDBACK OFF
SET PAGESIZE 20
SET LINESIZE 77
SET HEADING ON

--Specify the column format.
COLUMN grantee FORMAT A12 HEADING 'User'
COLUMN privilege FORMAT A10 HEADING 'Privilege'
COLUMN owner FORMAT A12 HEADING 'Table Owner'
COLUMN table_name FORMAT A30 HEADING 'Table Name'

--Setup the page title. 
TTITLE LEFT 'User Table Privileges' RIGHT 'Page ' FORMAT 999 SQL.PNO SKIP 2

--Run the report
SELECT grantee, privilege, owner, table_name
  FROM dba_tab_privs
ORDER BY grantee, owner, table_name, privilege;

exit


